# Generated from rpatricia-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rpatricia

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: module for fast IP address/prefix lookups
License: LGPLv2.1+
URL: http://www.goto.info.waseda.ac.jp/~tatsuya/rpatricia/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel
# Compiler is required for build of gem binary extension.
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires: gcc

%description
This is a ruby wrapper of Net::Patricia, which has been developed by
Dave Plonka. The original Net::Patricia and its C API are available
from:
http://net.doit.wisc.edu/~plonka/Net-Patricia/
Net::Patricia is a module for fast IP address/prefix lookups.
I have modified some interfaces for the Ruby wrapper version.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/


%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%license %{gem_instdir}/COPYING
%{gem_instdir}/Changes
%{gem_instdir}/LGPL-2.1
%{gem_instdir}/TODO
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README
%{gem_instdir}/rpatricia.gemspec
%{gem_instdir}/test.rb

%changelog
* Wed Sep 15 2021 mockbuilder - 1.0.1-1
- Initial package
